org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.StringValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.StringValueElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.StringValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringValueElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Action` | `getStringValueAction_0()`
    `org.eclipse.xtext.Assignment` | `getValueAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getValueSTRINGTerminalRuleCall_1_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueElements

          public StringValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getStringValueAction_0

          public org.eclipse.xtext.Action getStringValueAction_0()

    - #### getValueAssignment_1

          public org.eclipse.xtext.Assignment getValueAssignment_1()

    - #### getValueSTRINGTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getValueSTRINGTerminalRuleCall_1_0()